For the complete documentation index, see llms.txt. This page is also available as Markdown.

Referrals

Get invited users accepted stats

get
/v1/referral-progress

Retrieves the current users invited by a referral and the ones from the last time they were fetched, along with reward images containing the tier and URL information. This allows comparing the previously seen data with the current one. This endpoint requires Signed Fetch authentication.

Authorizations
AuthorizationstringRequired

Signed Fetch authentication. See ADR-44 for more details about the authentication mechanism.

Responses
200

Referral statistics found

application/json
invitedUsersAcceptedintegerRequired

Current total number of users invited by the referral

invitedUsersAcceptedViewedintegerRequired

Total number of invited users recorded in the previous fetch

rewardImagesobject[]Required

Images url for each tier reached

get/v1/referral-progress
GET /v1/referral-progress HTTP/1.1
Host: social-api.decentraland.org
Authorization: YOUR_API_KEY
Accept: */*
{
  "invitedUsersAccepted": 1,
  "invitedUsersAcceptedViewed": 1,
  "rewardImages": [
    {}
  ]
}

Create referral progress

post
/v1/referral-progress

Creates a referral relationship between a referrer and an invited user. This endpoint requires Signed Fetch authentication. The authenticated user becomes the "invited" user, and the referrer address is provided in the request body. This should be called when a user follows a referral link.

Authorizations
AuthorizationstringRequired

Signed Fetch authentication. See ADR-44 for more details about the authentication mechanism.

Body
referrerstringRequired

ETH address of the referrer

Responses
204

Referral progress created successfully

No content

post/v1/referral-progress
POST /v1/referral-progress HTTP/1.1
Host: social-api.decentraland.org
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 19

{
  "referrer": "text"
}

No content

Update referral signed up status

patch
/v1/referral-progress

Updates the referral progress status to signed up for the authenticated user. This endpoint requires Signed Fetch authentication.

Authorizations
AuthorizationstringRequired

Signed Fetch authentication. See ADR-44 for more details about the authentication mechanism.

Responses
204

Referral status updated successfully

No content

patch/v1/referral-progress
PATCH /v1/referral-progress HTTP/1.1
Host: social-api.decentraland.org
Authorization: YOUR_API_KEY
Accept: */*

No content

Add referral email

post
/v1/referral-email

Associates an email address with a referral for the authenticated user. This endpoint requires Signed Fetch authentication.

Authorizations
AuthorizationstringRequired

Signed Fetch authentication. See ADR-44 for more details about the authentication mechanism.

Body
emailstring · emailRequired

Email address to associate with the referral

Responses
204

Referral email added successfully

No content

post/v1/referral-email
POST /v1/referral-email HTTP/1.1
Host: social-api.decentraland.org
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 26

{
  "email": "[email protected]"
}

No content

Last updated